package com.ym.mec.biz.dal.dto;


import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

public class DoubleEleven2021Dto {

    private Integer organId;

    @ApiModelProperty(value = "分部",required = false)
    private String organName;

    @ApiModelProperty(value = "总成交额",required = false)
    private BigDecimal totalBuyAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "总购买数",required = false)
    private Integer totalBuyNum = 0;

    @ApiModelProperty(value = "人均购买金额",required = false)
    private BigDecimal avgBuyAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "赠送会员人数",required = false)
    private Long giveMemberNum = 0l;

    @ApiModelProperty(value = "1v1 20节课购买金额",required = false)
    private BigDecimal vip1V120Amount = BigDecimal.ZERO;

    @ApiModelProperty(value = "1v1 20节课购买人数",required = false)
    private int vip1V120Num = 0;

    @ApiModelProperty(value = "1v1 40节课购买金额",required = false)
    private BigDecimal vip1V140Amount = BigDecimal.ZERO;

    @ApiModelProperty(value = "1v1 40节课购买人数",required = false)
    private Integer vip1V140Num = 0;

    @ApiModelProperty(value = "1v2 20节课购买金额",required = false)
    private BigDecimal vip1V220Amount = BigDecimal.ZERO;

    @ApiModelProperty(value = "1v2 20节课购买人数",required = false)
    private Integer vip1V220Num = 0;

    @ApiModelProperty(value = "1v2 40节课购买金额",required = false)
    private BigDecimal vip1V240Amount = BigDecimal.ZERO;

    @ApiModelProperty(value = "1v2 40节课购买人数",required = false)
    private Integer vip1V240Num = 0;

    @ApiModelProperty(value = "乐理课购买金额",required = false)
    private BigDecimal musicTheoryAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "乐理课购买人数",required = false)
    private Integer musicTheoryNum = 0;

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public BigDecimal getTotalBuyAmount() {
        return totalBuyAmount;
    }

    public void setTotalBuyAmount(BigDecimal totalBuyAmount) {
        this.totalBuyAmount = totalBuyAmount;
    }

    public Integer getTotalBuyNum() {
        return totalBuyNum;
    }

    public void setTotalBuyNum(Integer totalBuyNum) {
        this.totalBuyNum = totalBuyNum;
    }

    public BigDecimal getAvgBuyAmount() {
        return avgBuyAmount;
    }

    public void setAvgBuyAmount(BigDecimal avgBuyAmount) {
        this.avgBuyAmount = avgBuyAmount;
    }

    public Long getGiveMemberNum() {
        return giveMemberNum;
    }

    public void setGiveMemberNum(Long giveMemberNum) {
        this.giveMemberNum = giveMemberNum;
    }

    public BigDecimal getVip1V120Amount() {
        return vip1V120Amount;
    }

    public void setVip1V120Amount(BigDecimal vip1V120Amount) {
        this.vip1V120Amount = vip1V120Amount;
    }

    public int getVip1V120Num() {
        return vip1V120Num;
    }

    public void setVip1V120Num(int vip1V120Num) {
        this.vip1V120Num = vip1V120Num;
    }

    public BigDecimal getVip1V140Amount() {
        return vip1V140Amount;
    }

    public void setVip1V140Amount(BigDecimal vip1V140Amount) {
        this.vip1V140Amount = vip1V140Amount;
    }

    public Integer getVip1V140Num() {
        return vip1V140Num;
    }

    public void setVip1V140Num(Integer vip1V140Num) {
        this.vip1V140Num = vip1V140Num;
    }

    public BigDecimal getVip1V220Amount() {
        return vip1V220Amount;
    }

    public void setVip1V220Amount(BigDecimal vip1V220Amount) {
        this.vip1V220Amount = vip1V220Amount;
    }

    public Integer getVip1V220Num() {
        return vip1V220Num;
    }

    public void setVip1V220Num(Integer vip1V220Num) {
        this.vip1V220Num = vip1V220Num;
    }

    public BigDecimal getVip1V240Amount() {
        return vip1V240Amount;
    }

    public void setVip1V240Amount(BigDecimal vip1V240Amount) {
        this.vip1V240Amount = vip1V240Amount;
    }

    public Integer getVip1V240Num() {
        return vip1V240Num;
    }

    public void setVip1V240Num(Integer vip1V240Num) {
        this.vip1V240Num = vip1V240Num;
    }

    public BigDecimal getMusicTheoryAmount() {
        return musicTheoryAmount;
    }

    public void setMusicTheoryAmount(BigDecimal musicTheoryAmount) {
        this.musicTheoryAmount = musicTheoryAmount;
    }

    public Integer getMusicTheoryNum() {
        return musicTheoryNum;
    }

    public void setMusicTheoryNum(Integer musicTheoryNum) {
        this.musicTheoryNum = musicTheoryNum;
    }
}
